/*
 Theme Name:   macbay Starter Theme
 Theme URI:    https://generatepress.com
 Description:  macbay digital starter theme (A GeneratePress child theme)
 Author:       Sascha Liem
 Author URI:   https://macbay.net
 Template:     generatepress
 Version:      0.7
 Changes:      Extended "PageCat" capabilities on pages-admin
*/

/* Set the main content area to a minimum of 65vh
#main {
	min-height: 65vh;
} */

/* Optimize Header for responsive screens */
header.site-header {
    padding-inline: 1rem;
}
header.site-header .inside-header {
    max-width: 1200px;
    padding-inline: 0;
}

/* Site Wrapper to set overall max with NEW 2023*/
body {
	background-color: var(--base-3);
}

body.full-width-content {
    max-width: 1920px;
    margin-left: auto;
    margin-right: auto;
/*    position: relative; */
}

/*** CORE FRAMEWORK ***/

/* Border Radius */

:root {
    --space-4xs: clamp(0.33rem, calc(-0.03vw + 0.33rem), 0.31rem);
    --space-3xs: clamp(0.41rem, calc(0.04vw + 0.4rem), 0.44rem);
    --space-2xs: clamp(0.51rem, calc(0.16vw + 0.48rem), 0.62rem);
    --space-xs: clamp(0.64rem, calc(0.35vw + 0.57rem), 0.88rem);
    --space-s: clamp(0.8rem, calc(0.65vw + 0.67rem), 1.24rem);
    --space-m: clamp(1rem, calc(1.11vw + 0.78rem), 1.75rem);
    --space-l: clamp(1.25rem, calc(1.81vw + 0.89rem), 2.47rem);
    --space-xl: clamp(1.56rem, calc(2.87vw + 0.99rem), 3.5rem);
    --space-2xl: clamp(1.95rem, calc(4.44vw + 1.07rem), 4.95rem);
    --space-3xl: clamp(2.44rem, calc(6.75vw + 1.09rem), 7rem);
    --space-4xl: clamp(3.05rem, calc(10.13vw + 1.02rem), 9.89rem);
	
    --text-xs: clamp(0.79rem, calc(-0.23vw + 0.84rem), 0.63rem);
    --text-s: clamp(0.89rem, calc(-0.07vw + 0.9rem), 0.84rem);
    --text-m: clamp(1rem, calc(0.19vw + 0.96rem), 1.13rem);
    --text-l: clamp(1.13rem, calc(0.55vw + 1.01rem), 1.5rem);
    --text-xl: clamp(1.27rem, calc(1.09vw + 1.05rem), 2rem);
    --text-2xl: clamp(1.42rem, calc(1.84vw + 1.06rem), 2.66rem);
    --text-3xl: clamp(1.6rem, calc(2.89vw + 1.02rem), 3.55rem);
    --text-4xl: clamp(1.8rem, calc(4.34vw + 0.93rem), 4.74rem);
	
	--radius-xs: 0.25rem;
	--radius-s: 0.5rem;
	--radius-m: 0.75rem;
	--radius-l: 1rem;
	--radius-pill: 999rem;
	--radius-scaled: clamp(4px, 2vw, 8px);
	
	 --content-narrow: 900px;
}